Bug 210808 - astro/qmapshack: Update to 1.6.3
Summary: astro/qmapshack: Update to 1.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL: https://sourceforge.net/p/qlandkarteg...
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-07-04 09:27 UTC by Christoph Moench-Tegeder
Modified: 2016-07-14 18:41 UTC (History)
0 users

See Also:
bofh: maintainer-feedback+


Attachments
update qmapshack to 1.6.2 (4.28 KB, patch)
2016-07-04 09:27 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (467.45 KB, text/x-log)
2016-07-04 09:27 UTC, Christoph Moench-Tegeder
no flags Details
update qmapshack to 1.6.2 (5.54 KB, patch)
2016-07-14 15:29 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-07-04 09:27:28 UTC
Created attachment 172091 [details]
update qmapshack to 1.6.2

qmapshack 1.6.2 is out. patch is rather trivial.
I'm trying to upstream the patches for FreeBSD support.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-07-04 09:27:56 UTC
Created attachment 172092 [details]
poudriere testport log
Comment 2 VK freebsd_triage 2016-07-09 14:03:04 UTC
Thanks for the patch, Christoph. Please note that confirming the build passes is sufficient. Attaching build logs is not required and only clutters the Bugzilla database.
Comment 3 Christoph Moench-Tegeder freebsd_committer 2016-07-09 14:11:51 UTC
Not that long ago I was asked to attach build reports. However :)

Per the very recent discussion at https://bitbucket.org/maproom/qmapshack/pull-requests/105/add-freebsd-support/diff I discovered that owners of supported GPS devices could use their device with qmapshack if they had sysutils/bsdisks installed (my device is too old, so I cannot test) - perhaps that dependency should be added?
Comment 4 Christoph Moench-Tegeder freebsd_committer 2016-07-14 15:24:52 UTC
Upstream withdraw version 1.6.2:
https://sourceforge.net/p/qlandkartegt/mailman/message/35220014/
and released 1.6.3:
https://sourceforge.net/p/qlandkartegt/mailman/message/35220366/

I'm happy to announce that I managed to upstream FreeBSD support - that is, most "ports patches" are not required anymore, and GPS devices ("newer Garmin and TwoNav devices") should be supported now via sysutils/bsdisks. In case of breakage, all blame belongs to me :)
Comment 5 Christoph Moench-Tegeder freebsd_committer 2016-07-14 15:29:31 UTC
Created attachment 172519 [details]
update qmapshack to 1.6.2

Please note deleted files - see enclosed "svn status".
No poudriere log this time (but changes are reasonably small) - "make stage-qa check-orphans" passed (I have no access to my poudriere or hardware for that right now)
Comment 6 commit-hook freebsd_committer 2016-07-14 18:40:11 UTC
A commit references this bug:

Author: bofh
Date: Thu Jul 14 18:39:52 UTC 2016
New revision: 418552
URL: https://svnweb.freebsd.org/changeset/ports/418552

Log:
  astro/qmapshack: Update version 1.6.1=>1.6.3

  - Upstream FreeBSD support

  PR:		210808
  Submitted by:	cmt

Changes:
  head/astro/qmapshack/Makefile
  head/astro/qmapshack/distinfo
  head/astro/qmapshack/files/patch-src_device_IDevice.cpp
  head/astro/qmapshack/files/patch-src_gis_CGisListWks.cpp
  head/astro/qmapshack/files/patch-src_setup_IAppSetup.cpp
  head/astro/qmapshack/pkg-plist